Bug 56017 - hdparm -I outputted Model strings are reversed
hdparm -I outputted Model strings are reversed
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: hdparm (Show other bugs)
7.2
i386 Linux
low Severity low
: ---
: ---
Assigned To: Karsten Hopp
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-10 16:49 EST by Pekka Savola
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-10 16:49:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pekka Savola 2001-11-10 16:49:17 EST
Certain strings printed by hdparm (4.1-2; also in latest-rawhide 4.1-3) appear to be reversed
in a very odd way; Note e.g. Model; it is:

UQNAUT MIFERABLL PSA025.

It should be (according to dmesg):

QUANTUM FIREBALLP AS20.5

So every two characters they have flipped places.

#  hdparm -I /dev/hda1

/dev/hda1:

 Model=UQNAUT MIFERABLL PSA025.                , FwRev=1A.Y3100, SerialNo=980233745239        
 Config={ HardSect NotMFM HdSw>15uSec Fixed DTR>10Mbs }
 RawCHS=16383/16/63, TrkSize=32256, SectSize=21298, ECCbytes=4
 BuffType=DualPortCache, BuffSize=1902kB, MaxMultSect=16, MultSect=16
 CurCHS=16383/16/63, CurSects=-66060037, LBA=yes, LBAsects=40132503
 IORDY=on/off, tPIO={min:120,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes: pio0 pio1 pio2 pio3 pio4 
 DMA modes: mdma0 mdma1 mdma2 udma0 udma1 *udma2 
 AdvancedPM=no
 Drive Supports : ATA/ATAPI-5 T13 1321D revision 1 : ATA-1 ATA-2 ATA-3 ATA-4 ATA-5
Comment 1 Karsten Hopp 2001-11-13 09:17:58 EST
Fixed in hdparm-4.3

Note You need to log in before you can comment on or make changes to this bug.